/*
 *
 *
 */
#define Q931PRIVATE
#include "Q931.h"

/*
 * DSS1
 */
struct Q931MessageIE DSS1MessageIEs[] = {
	/*
	 * ITU-T Q.931 IE table
	 */

	/* ALERTING */
	{ Q931mes_ALERTING, 8, {
			{ Q931ie_BEARER_CAPABILITY,        4, 12, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_CHANNEL_IDENTIFICATION,   2,  0, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_PROGRESS_INDICATOR,       2,  4, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_DISPLAY,                  2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_SIGNAL,                   2,  3, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_HIGH_LAYER_COMPATIBILITY, 2,  5, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ Q932ie_FACILITY,                 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY,        2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* CALL PROCEEDING */
	{ Q931mes_CALL_PROCEEDING, 8, {
			{ Q931ie_BEARER_CAPABILITY,        4, 12, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_CHANNEL_IDENTIFICATION,   2,  0, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_PROGRESS_INDICATOR,       2,  4, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_DISPLAY,                  2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_HIGH_LAYER_COMPATIBILITY, 2,  5, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ Q932ie_FACILITY,                 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY,        2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* CONNECT */
	{ Q931mes_CONNECT, 8, {
			{ Q931ie_BEARER_CAPABILITY,        4, 12, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_CHANNEL_IDENTIFICATION,   2,  0, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_PROGRESS_INDICATOR,       2,  4, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_DISPLAY,                  2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_DATETIME,                 8,  8, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_SIGNAL,                   2,  3, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_LOW_LAYER_COMPATIBILITY,  2, 18, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_HIGH_LAYER_COMPATIBILITY, 2,  5, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

/* EN 300 097-1 */	{ Q931ie_CONNECTED_NUMBER,         3, 24, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
/* EN 300 097-1 */	{ Q931ie_CONNECTED_SUBADDRESS,     2, 23, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,                 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY,        2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* CONNECT ACKNOWLEDGE */
	{ Q931mes_CONNECT_ACKNOWLEDGE, 8, {
			{ Q931ie_DISPLAY,           2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_SIGNAL,            2,  3, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,          2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY, 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* DISCONNECT */
	{ Q931mes_DISCONNECT, 8, {
			{ Q931ie_CAUSE,              4, 32, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH | Q931_IEF_MANDATORY },
			{ Q931ie_PROGRESS_INDICATOR, 2,  4, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_DISPLAY,            2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_SIGNAL,             2,  3, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,           2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY,  2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* INFORMATION */
	{ Q931mes_INFORMATION, 8, {
			{ Q931ie_SENDING_COMPLETE,    1,  1, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_DISPLAY,             2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_KEYPAD_FACILITY,     2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_NET },
			{ Q931ie_SIGNAL,              2,  3, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_CALLED_PARTY_NUMBER, 2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ Q932ie_FACILITY,            2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY,   2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* NOTIFY */
	{ Q931mes_NOTIFY, 8, {
			{ Q931ie_BEARER_CAPABILITY,      2, 12, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_NOTIFICATION_INDICATOR, 3,  3, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH | Q931_IEF_MANDATORY },
			{ Q931ie_DISPLAY,                2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ 0, 0, 0, 0 },
	}},

	/* PROGRESS */
	{ Q931mes_PROGRESS, 8, {
			{ Q931ie_BEARER_CAPABILITY,        4, 12, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_CAUSE,                    4, 32, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_PROGRESS_INDICATOR,       2,  4, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH | Q931_IEF_MANDATORY },
			{ Q931ie_DISPLAY,                  2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_HIGH_LAYER_COMPATIBILITY, 2,  5, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ Q932ie_FACILITY,                 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY,        2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* RELEASE */
	{ Q931mes_RELEASE, 8, {
			{ Q931ie_CAUSE,             4, 32, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_DISPLAY,           2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_SIGNAL,            2,  3, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,          2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY, 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* RELEASE COMPLETE */
	{ Q931mes_RELEASE_COMPLETE, 8, {
			{ Q931ie_CAUSE,             4, 32, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_DISPLAY,           2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_SIGNAL,            2,  3, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,          2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY, 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* RESUME */
	{ Q931mes_RESUME, 8, {
			{ Q931ie_CALL_IDENTITY,     2, 10, Q931_IE_CODESET_0, Q931_IEF_TO_NET },

			{ Q932ie_FACILITY,          2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY, 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* RESUME ACKNOWLEDGE */
	{ Q931mes_RESUME_ACKNOWLEDGE, 8, {
			{ Q931ie_CHANNEL_IDENTIFICATION, 3,  0, Q931_IE_CODESET_0, Q931_IEF_TO_USER | Q931_IEF_MANDATORY },
			{ Q931ie_DISPLAY,                2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,               2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY,      2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* RESUME REJECT */
	{ Q931mes_RESUME_REJECT, 8, {
			{ Q931ie_CAUSE,             4, 32, Q931_IE_CODESET_0, Q931_IEF_TO_USER | Q931_IEF_MANDATORY },
			{ Q931ie_DISPLAY,           4, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,          2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY, 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* SETUP */
	{ Q931mes_SETUP, 8, {
			{ Q931ie_SENDING_COMPLETE,            1,  1, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_REPEAT_INDICATOR,            1,  1, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },		/* Multiple occurrences possible, context! */
			{ Q931ie_BEARER_CAPABILITY,           4, 12, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH | Q931_IEF_MANDATORY },
			{ Q931ie_CHANNEL_IDENTIFICATION,      3,  0, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_PROGRESS_INDICATOR,          2,  4, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_NETWORK_SPECIFIC_FACILITIES, 2,  0, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_DISPLAY,                     2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_DATETIME,                    8,  8, Q931_IE_CODESET_0, Q931_IEF_TO_NET },
			{ Q931ie_KEYPAD_FACILITY,             2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_NET },
			{ Q931ie_SIGNAL,                      2,  3, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_CALLING_PARTY_NUMBER,        2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_CALLING_PARTY_SUBADDRESS,    2, 23, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_CALLED_PARTY_NUMBER,         2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_CALLED_PARTY_SUBADDRESS,     2, 23, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_TRANSIT_NETWORK_SELECTION,   2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_NET },
			{ Q931ie_LOW_LAYER_COMPATIBILITY,     2, 18, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_HIGH_LAYER_COMPATIBILITY,    2,  5, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ Q932ie_FACILITY,                    2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY,           2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* SETUP ACKNOWLEDGE */
	{ Q931mes_SETUP_ACKNOWLEDGE, 8, {
			{ Q931ie_CHANNEL_IDENTIFICATION, 3,  0, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_PROGRESS_INDICATOR,     2,  4, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_DISPLAY,                2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ Q931ie_SIGNAL,                 2,  3, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,               2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY,      2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* STATUS */
	{ Q931mes_STATUS, 8, {
			{ Q931ie_CAUSE,      4, 32, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH | Q931_IEF_MANDATORY },
			{ Q931ie_CALL_STATE, 3,  3, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH | Q931_IEF_MANDATORY },
			{ Q931ie_DISPLAY,    2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ 0, 0, 0, 0 },
	}},

	/* STATUS ENQUIRY */
	{ Q931mes_STATUS_ENQUIRY, 8, {
			{ Q931ie_DISPLAY, 2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },
			{ 0, 0, 0, 0 },
	}},

	/* SUSPEND */
	{ Q931mes_SUSPEND, 8, {
			{ Q931ie_CALL_IDENTITY,     2, 10, Q931_IE_CODESET_0, Q931_IEF_TO_NET },

			{ Q932ie_FACILITY,          2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY, 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* SUSPEND ACKNOWLEDGE */
	{ Q931mes_SUSPEND_ACKNOWLEDGE, 8, {
			{ Q931ie_DISPLAY,           2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,          2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY, 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* SUSPEND REJECT */
	{ Q931mes_SUSPEND_REJECT, 8, {
			{ Q931ie_CAUSE,             4, 32, Q931_IE_CODESET_0, Q931_IEF_TO_USER | Q931_IEF_MANDATORY },
			{ Q931ie_DISPLAY,           4, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,          2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY, 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* RESTART */
	{ Q931mes_RESTART, 8, {
			{ Q931ie_RESTART_INDICATOR,      3,  3, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH | Q931_IEF_MANDATORY },
			{ Q931ie_CHANNEL_IDENTIFICATION, 3,  0, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_DISPLAY,                4, 34, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ Q932ie_FACILITY,               2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY,      2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* RESTART ACKNOWLEDGE */
	{ Q931mes_RESTART_ACKNOWLEDGE, 8, {
			{ Q931ie_RESTART_INDICATOR,      3,  3, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH | Q931_IEF_MANDATORY },
			{ Q931ie_CHANNEL_IDENTIFICATION, 3,  0, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_DISPLAY,                4, 34, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ Q932ie_FACILITY,               2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY,      2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/*
	 * ITU-T Q.932 IE table
	 */

	/* HOLD */
	{ Q932mes_HOLD, 8, {
			{ Q931ie_DISPLAY,           2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,          2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY, 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* HOLD ACKNOWLEDGE */
	{ Q932mes_HOLD_ACKNOWLEDGE, 8, {
			{ Q931ie_DISPLAY,           2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,          2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY, 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* HOLD REJECT */
	{ Q932mes_HOLD_REJECT, 8, {
			{ Q931ie_CAUSE,             4, 32, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH | Q931_IEF_MANDATORY },
			{ Q931ie_DISPLAY,           2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,          2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY, 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* REGISTER */
	{ Q932mes_REGISTER, 8, {
			{ Q932ie_FACILITY,          2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH | Q931_IEF_MANDATORY },
			{ Q932ie_EXTENDED_FACILITY, 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_DISPLAY,           2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ 0, 0, 0, 0 },
	}},

	/* RETRIEVE */
	{ Q932mes_RETRIEVE, 8, {
			{ Q931ie_CHANNEL_IDENTIFICATION, 3,  0, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_DISPLAY,                2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,               2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY,      2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* RETRIEVE ACKNOWLEDGE */
	{ Q932mes_RETRIEVE_ACKNOWLEDGE, 8, {
			{ Q931ie_CHANNEL_IDENTIFICATION, 3,  0, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q931ie_DISPLAY,                2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,               2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY,      2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* RETRIEVE REJECT */
	{ Q932mes_RETRIEVE_REJECT, 8, {
			{ Q931ie_CAUSE,             4, 32, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH | Q931_IEF_MANDATORY },
			{ Q931ie_DISPLAY,           2, 34, Q931_IE_CODESET_0, Q931_IEF_TO_USER },

			{ Q932ie_FACILITY,          2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ Q932ie_EXTENDED_FACILITY, 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },

			{ 0, 0, 0, 0 },
	}},

	/* FACILITY */
	{ Q932mes_FACILITY, 8, {
			{ Q932ie_FACILITY,          8, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH | Q931_IEF_MANDATORY },
			{ Q932ie_EXTENDED_FACILITY, 2, 99, Q931_IE_CODESET_0, Q931_IEF_TO_BOTH },
			{ 0, 0, 0, 0 },
	}},

	/* TODO... */

	{ 0, 0, {{ 0, 0, 0, 0 }}},
};
